Bug 200702 - provide Help document for im-helper
provide Help document for im-helper
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: scim-pinyin (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peng Huang
: i18n
Depends On:
Blocks: SCIM 210276
  Show dependency treegraph
 
Reported: 2006-07-31 01:08 EDT by Lawrence Lim
Modified: 2014-03-25 20:53 EDT (History)
3 users (show)

See Also:
Fixed In Version: scim-pinyin-0.5.91-16.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-11 20:28:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proof of help document window (265.27 KB, image/png)
2006-10-10 22:18 EDT, Caius Chance
no flags Details
Patch file for refined online help. (2.07 KB, patch)
2006-10-11 01:14 EDT, Caius Chance
no flags Details | Diff
modified spec file for above patch (5.62 KB, text/plain)
2006-10-11 01:17 EDT, Caius Chance
no flags Details
Translate refined online help to Chinese. (33.26 KB, text/x-patch)
2006-11-21 22:05 EST, Peng Huang
no flags Details
Patch .spec for last patch. (1.46 KB, patch)
2006-11-21 22:07 EST, Peng Huang
no flags Details | Diff
Translate refined online help to Chinese and update some msgids. (30.96 KB, patch)
2006-11-22 00:59 EST, Peng Huang
no flags Details | Diff
The expected result of im-helper (31.12 KB, image/png)
2007-01-11 20:30 EST, Ramakrishna Reddy Yekulla
no flags Details
im-helper page (final screenshot) (293.17 KB, image/png)
2007-01-18 21:25 EST, Ramakrishna Reddy Yekulla
no flags Details

  None (edit)
Description Lawrence Lim 2006-07-31 01:08:10 EDT
Description of problem:
At the moment, clicking Help on the im-helper does not trigger any action. It
may be good to include some basic documentation to educate users on the usage of
the feature.

Version-Release number of selected component (if applicable):
scim-pinyin-0.5.91-11.3.fc6

How reproducible:
Always

Steps to Reproduce:
1.click on the aux 'ci' to bring up im-helper
2.click on the Help
3.
  
Actual results:
Nothing happens

Expected results:
Should basic documentation on the usage of this feature

Additional info:
Comment 1 Qian Shen 2006-08-29 02:47:56 EDT
have added the online helper into devel, build into Brew.
Comment 2 Lawrence Lim 2006-08-31 02:20:58 EDT
Is this the final version of the document? Any plan of further documentation?
Comment 3 Caius Chance 2006-10-10 22:18:55 EDT
Created attachment 138212 [details]
proof of help document window

The help exists in latest version:

scim-pinyin-0.5.91-12.fc6
Comment 4 Caius Chance 2006-10-10 22:22:32 EDT
Please
Comment 5 Caius Chance 2006-10-11 01:14:47 EDT
Created attachment 138218 [details]
Patch file for refined online help.
Comment 6 Caius Chance 2006-10-11 01:17:39 EDT
Created attachment 138219 [details]
modified spec file for above patch
Comment 7 Caius Chance 2006-10-17 03:49:18 EDT
bug #210276 which is RHEL5 branch clone of this bug has already passed QA.

For success build in rawhide, the following dependency has to be resolved:

Error: Missing Dependency: fedora-release-notes >= 6.89 is needed by package
fedora-release

Please maintainer keep track on the progress of dependee package.
Comment 9 Peng Huang 2006-11-21 22:05:37 EST
Created attachment 141864 [details]
Translate refined online help to Chinese.

The refined online help have been committed to cvs, But it was not translated.
Comment 10 Peng Huang 2006-11-21 22:07:44 EST
Created attachment 141865 [details]
Patch .spec for last patch.
Comment 11 Peng Huang 2006-11-22 00:59:42 EST
Created attachment 141876 [details]
Translate refined online help to Chinese and update some msgids.
Comment 12 Peng Huang 2006-11-22 01:09:05 EST
fixed it in version scim-pinyin-0_5_91-14_fc7. It also updated msgid in zh_CN.po
to fix #216831.
Comment 13 Ramakrishna Reddy Yekulla 2007-01-11 20:28:23 EST
Environment Setup
o SCIM -> Chinese(Simplified) -> Smart PinYin
o [root@cacofonix ~]# rpm -qa|grep scim-pinyin
scim-pinyin-0.5.91-16.fc7
o Gnome-terminal
o rpm -qa --qf "%{name}-%{version}-%{release}.%{arch}\n" scim\* | sort
o scim-pinyin.
Steps to reproduce ::
o Applications --> Accessories -> Terminal
o Activate SCIM [Ctrl + Space] , chinese simplified -> Smart PinYin
o On the Scim Applet, which appears on the bottom
o Click on the help button in the applet
o Must take you to the help window of scim of the perticular keymap.

Actuall results
Attached in the screenshot below.
Comment 14 Ramakrishna Reddy Yekulla 2007-01-11 20:30:34 EST
Created attachment 145414 [details]
The expected result of im-helper

resolving this bug as it is fixed, tested  in this version
scim-pinyin-0.5.91-16.fc7 for rawhide
Comment 15 Ramakrishna Reddy Yekulla 2007-01-18 21:25:19 EST
Created attachment 145959 [details]
im-helper page (final screenshot)

Steps to reproduce ::
1. Scim setup
2. In the SCIM - Smart Pinyin section
3. Select the checkbox, "Show Pinyin helper in	the toolbar"
4. Click on the helper symbol on the tool bar
5. Clicking activates a window "SCIM Pinyin - Add New Phrase"
6. Help -> Help On line

Note You need to log in before you can comment on or make changes to this bug.